### Method

# Gio DesktopAppInfo launch_action

since: 2.38

#### Declaration

    void
    g_desktop_app_info_launch_action (
      GDesktopAppInfo* info,
      const gchar* action_name,
      GAppLaunchContext* launch_context
    )

#### Description

Activates the named application action.

You may only call this function on action names that were returned from g_desktop_app_info_list_actions().

Note that if the main entry of the desktop file indicates that the application supports startup notification, and `launch_context` is non-`NULL`, then startup notification will be used when activating the action (and as such, invocation of the action on the receiving side must signal the end of startup notification when it is completed). This is the expected behaviour of applications declaring additional actions, as per the desktop file specification.

As with `g_app_info_launch()` there is no way to detect failures that occur while using this function.

Available since: 2.38

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action as from `g_desktop_app_info_list_actions()`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`launch_context`

  Type: `GAppLaunchContext`

  A `GAppLaunchContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.